SuSE9 Security Update : libpng (YOU Patch Number 12642)

High Nessus Plugin ID 49191

Synopsis

The remote SuSE 9 host is missing a security-related patch.

Description

Specially crafted png files could cause crashes or even execution of arbitrary code in applications using libpng to process such files.
(CVE-2010-1205, CVE-2010-2249)

Solution

Apply YOU patch number 12642.

See Also

http://support.novell.com/security/cve/CVE-2010-1205.html

http://support.novell.com/security/cve/CVE-2010-2249.html

Plugin Details

Severity: High

ID: 49191

File Name: suse9_12642.nasl

Version: 1.8

Type: local

Agent: unix

Published: 2010/09/12

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2010/09/01

Reference Information

CVE: CVE-2010-1205, CVE-2010-2249